Subject: bug#2536: 23.0.90; ! in Dired does not shell-quote the command name and args

From: "Drew Adams" <[email-masked]>
Date: Mon, 2 Mar 2009 07:15:08 -0800

> > In sum, I don't have any insight about what fix is needed, 
> > but there is definitely a problem, at least for MS Windows,
> > where spaces in file names are common.
> 
> If you want to use shell meta characters on the command line 
> it is your
> own responsibility to add proper quoting.  Note that file name
> completion (ie. minibuffer-complete-shell-command) will DTRT here.

Yes, I realized after I sent the report that there is no way for Emacs to
distinguish a file name with spaces from separate arguments. You can close this
bug, I guess.